SHANNON A.I. Lógó
SHANNON A.I.
Comhrá Praghsáil API Taighde Cuideachta Pentest AI Treisiú Tosaithe
Sínigh Isteach
Plean & Úsáid
Comhrá Praghsáil API Taighde Cuideachta Pentest AI Treisiú Tosaithe Sínigh Isteach Plean & Úsáid

Roghnaigh do theanga

Tá gach teanga comhionann. Roghnaigh an ceann is mian leat brabhsáil isteach.

Doiciméadúchán API

Shannon API

API AI comhoiriúnach le OpenAI & Anthropic le glaonna feidhme, cuardach gréasáin agus aschuir struchtúrtha.

Faigh D'Eochair API Bain triail as Clós Súgartha V2
Doiciméadúchán
  • OV Forbhreathnú
  • CP Cumais
  • QS Tús Tapa
  • PG Clós Súgartha API Nua
  • AU Fíordheimhniú
  • ML Múnlaí
  • FN Glaonna Feidhme
  • JS Aschuir Struchtúrtha
  • SS Sruthú
  • WS Insuite i Cuardach Gréasáin
  • AN Formáid Antraipeach
  • SD SDKanna
  • ER Láimhseáil Earráide
  • CL Loga athrú
  • AK D'Eochair API
  • US Do Úsáid

Shannon AI API Documentation

Forbhreathnú

Doiciméid phoiblí

Gach rud a theastaíonn uait a sheoladh le OpenAI na Sionainne agus API comhoiriúnach Anthropic.

Bun-URL OpenAI-comhoiriúnach
https://api.shannon-ai.com/v1/chat/completions

Bain úsáid as an Chat Críochnaithe API le glaonna feidhme agus sruthú.

Bun-URL Antraipeach-Comhoiriúnach
https://api.shannon-ai.com/v1/messages

Formáid Claude Messages le huirlisí agus ceanntásc leagan antraipeach.

Ceanntásca Fíordheimhniú
Údarú: Iompróir <d'eochair>

Nó X-API-Key le leagan antraipeach le haghaidh glaonna ar stíl Claude.

Rochtain Stádas
Doiciméid phoiblí - Teastaíonn eochair chun glaoch

Sruthú, glaonna feidhm, aschuir struchtúrtha, cuardach gréasáin.

Seoladh seicliosta
  • +
    Cuir do SDK in iúl don tSionainn
    Socraigh baseURL chuig na críochphointí OpenAI nó Antraipeacha thuas.
    Socrú
  • +
    Ceangail d'eochair API
    Bain úsáid as comharthaí Iompróir le haghaidh glaonna OpenAI nó X-API-Key + leagan antraipeach.
    Slándáil
  • +
    Cumasaigh uirlisí & aschuir struchtúrtha
    Tacaíonn sé le huirlisí/feidhmeanna OpenAI, scéimre JSON, agus cuardach gréasáin ionsuite.
    Cumais
  • +
    Úsáid rian
    Féach ar thomhaltas chomhartha agus cuardaigh ar an leathanach seo agus tú sínithe isteach ar do chuntas.
    Anailísíocht

Cumais

OpenAI + Antraipeach

Athsholáthar buail isteach do OpenAI agus APIanna Antraipeacha le tacaíocht dhúchasach d’uirlisí, aschuir struchtúrtha, agus cuardach gréasáin ionsuite.

AI

Athsholáthar Buail Isteach

Comhoiriúnach

Oibríonn sé le OpenAI agus SDKanna Antraipeacha. Just a athrú ar an URL bonn.

AI

Glaonna Feidhme

Uirlisí

Sainmhínigh uirlisí, lig do Shannon glaoch orthu. Tacaíonn sé le modhanna uathoibríocha, éigeantais agus gan aon mhodh.

AI

Insuite i Cuardach Gréasáin

Cuardach

Cuardach gréasáin fíor-ama le luanna foinse. Ar fáil go huathoibríoch.

AI

Aschuir Struchtúrtha

JSON

Modh JSON agus JSON Forghníomhú scéimre le haghaidh eastóscadh sonraí iontaofa.

AI

Uirlisí Il-cas

Gníomhach

Lúba forghníomhaithe feidhm uathoibríoch. Suas le 10 atriall in aghaidh an iarratais.

AI

Sruthú

Go tapa

Imeachtaí a sheol an freastalaí le haghaidh sruthú comharthaí fíor-ama.

Tús Tapa

5 nóiméad

Cuir tús leis i dtrí chéim. Léiríonn Shannon cliaint OpenAI agus Anthropic.

1

Socraigh do URL bonn

Úsáid críochphointe OpenAI-comhoiriúnach.

https://api.shannon-ai.com/v1/chat/completions
2

Cuir d'eochair API leis

Úsáid údar Iompróra sa cheanntásc Údaraithe.

3

Seol do chéad teachtaireacht

Roghnaigh teanga agus babhtáil i d'eochair.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

Formáid freagartha

Freagra Ratha
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

Clós Súgartha API

Nua

Tástáil API na Sionainne go díreach i do bhrabhsálaí. Tóg d'iarratas, rith é, agus féach ar an bhfreagra i bhfíor-am.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/ga/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

Bain triail as Clós Súgartha V2 Faigh D'Eochair API

Fíordheimhniú

Teastaíonn fíordheimhniú le gach iarratas API ag baint úsáid as d’eochair Shannon API.

Formáid OpenAI (Molta)

HTTP
Authorization: Bearer YOUR_API_KEY

Formáid Antraipeach

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

Múnlaí

Tairgeann Shannon samhlacha iolracha optamaithe le haghaidh cásanna úsáide éagsúla.

AI
shannon-1.6-lite Shannon 1.6 Lite

Freagraí gasta, éifeachtacha ar thascanna laethúla

Comhthéacs 128K
Is Fearr Le haghaidh Comhrá, Ceisteanna agus Freagraí, Giniúint Ábhair
AI
shannon-1.6-pro Shannon 1.6 Pro

Réasúnaíocht chun cinn maidir le fadhbanna casta

Comhthéacs 128K
Is Fearr Le haghaidh Anailís, Taighde, Tascanna Coimpléascacha
AI
shannon-2-lite Shannon 2 Lite

Comhthéacs 128K
Is Fearr Le haghaidh
AI
shannon-2-pro Shannon 2 Pro

Comhthéacs 128K
Is Fearr Le haghaidh
AI
shannon-coder-1 Shannon Coder

Optamaithe le haghaidh Claude Code CLI le cuóta bunaithe ar ghlaonna

Comhthéacs 128K
Is Fearr Le haghaidh Giniúint Cóid, Úsáid Uirlisí, Comhtháthú CLI
Cuóta glao-bhunaithe

Glaonna Feidhme

Sainmhínigh uirlisí ar féidir le Sionainn glaoch orthu chun gníomhartha a dhéanamh nó chun faisnéis a aisghabháil.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

Roghanna Rogha Uirlisí

"auto" Cinneann an tsamhail cibé an nglaoitear feidhm (réamhshocraithe)
"none" Díchumasaigh an fheidhm atá ag glaoch ar an iarratas seo
{"type": "function", "function": {"name": "..."}} Cuir glaoch ar fheidhm shonrach i bhfeidhm

Freagra Glao Feidhme

Nuair a ghlaonn múnla feidhm
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

Aschuir Struchtúrtha

Cuir iallach ar Shannon freagra a thabhairt le JSON bailí a thagann le do scéimre.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

Roghanna Formáid Freagartha

{"type": "json_object"} Cuir i bhfeidhm aschur bailí JSON (gan scéimre ar leith)
{"type": "json_schema", "json_schema": {...}} Cuir i bhfeidhm an t-aschur atá ag teacht le do scéimre beacht

Sruthú

Cumasaigh sruthú dearbhán fíor-ama le Imeachtaí Seolta Freastalaí le haghaidh UI freagrúil.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
Leid: Tagann freagraí sruthaithe mar Imeachtaí Seolta Freastalaí. Tá deilt le hábhar páirteach i ngach smután.

Insuite i Cuardach Gréasáin

Áiríonn Shannon feidhm cuardaigh gréasáin ionsuite atá ar fáil go huathoibríoch.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
Leid Pro: Cuimsíonn torthaí cuardaigh gréasáin luanna. Déanfaidh an tSionainn foinsí a lua go huathoibríoch.

Formáid Antraipeach

Tacaíonn Shannon freisin le formáid API Teachtaireachtaí Anthropic.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
Ceanntásc Riachtanach: Éilíonn formáid antraipeach leagan antraipeach: 2023-06-01.

SDKanna

Comhoiriúnach

Bain úsáid as aon OpenAI nó SDK Anthropic - níl le déanamh ach an bunUR a athrú.

SDKanna OpenAI-comhoiriúnach

SDK Python

Oifigiúla OpenAI Python SDK - oibríonn sé le Shannon

pip install openai
Féach ar Dhoiciméid ->
SDK JavaScript / TypeScript

Oifigiúla OpenAI Node.js SDK - oibríonn sé le Sionainn

npm install openai
Féach ar Dhoiciméid ->
SDK Go

Cliant Community Go le haghaidh API atá comhoiriúnach le OpenAI

go get github.com/sashabaranov/go-openai
Féach ar Dhoiciméid ->
SDK Ruby

Cliant Community Ruby le haghaidh API atá comhoiriúnach le OpenAI

gem install ruby-openai
Féach ar Dhoiciméid ->
SDK PHP

Cliant PHP pobail le haghaidh API atá comhoiriúnach le OpenAI

composer require openai-php/client
Féach ar Dhoiciméid ->
SDK Rust

Cliant Async Rust le haghaidh API atá comhoiriúnach le OpenAI

cargo add async-openai
Féach ar Dhoiciméid ->

SDKanna Comhoiriúnacha Antraipeacha

SDK Python (Anthropic)

Oifigiúla Antropic Python SDK - oibríonn sé le Shannon

pip install anthropic
Féach ar Dhoiciméid ->
SDK TypeScript (Anthropic)

Oifigiúla Anthropic TypeScript SDK - oibríonn sé le Sionainn

npm install @anthropic-ai/sdk
Féach ar Dhoiciméid ->

Láimhseáil Earráide

Úsáideann Shannon cóid stádais chaighdeánacha HTTP agus cuireann sí teachtaireachtaí earráide mionsonraithe ar ais.

400 Droch-Iarratas Formáid nó paraiméadair iarratais neamhbhailí
401 Neamhúdaraithe Eochair API neamhbhailí nó in easnamh
402 Chuaigh an Cuóta níos airde Sáraíodh an cuóta comhartha nó cuardaigh
429 Ráta Teoranta An iomarca iarratas, mall síos
500 Earráid Freastalaí Earráid inmheánach, bain triail eile as níos déanaí

Formáid Freagartha Earráide

Freagra Earráide
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

Loga athrú

LOG

Nuashonruithe agus feabhsuithe le déanaí ar API na Sionainne.

v2.1.0
2025-01-03
  • Nua Cuireadh samhail shannon-coder-1 leis do chomhtháthú Claude Code CLI
  • Nua Córas cuóta glao-bhunaithe do mhúnla Coder
  • Feabhsaithe Feidhm fheabhsaithe iontaofacht glaonna
v2.0.0
2024-12-15
  • Nua Added Anthropic Messages API Comhoiriúnacht
  • Nua Feidhmiú uirlisí iliompaithe (suas le 10 n-atriallta)
  • Nua JSON Tacaíocht formáid freagairt scéimre
  • Feabhsaithe Cuardach gréasáin feabhsaithe le comhlua níos fearr
v1.5.0
2024-11-20
  • Nua Múnla na Sionainne-domhain-dapo curtha leis le haghaidh réasúnaíochta casta
  • Nua Feidhm cuardaigh gréasáin ionsuite
  • Feabhsaithe Lagacht laghdaithe le haghaidh freagraí sruthú
v1.0.0
2024-10-01
  • Nua Eisiúint tosaigh API
  • Nua Críochphointe comhrá atá comhoiriúnach le OpenAI
  • Nua Feidhm ag glaoch tacaíochta
  • Nua Sruthú trí Imeachtaí Seolta Freastalaí

D'Eochair API

Rochtain
Bain úsáid as comharthaí Iompróir le haghaidh glaonna OpenAI nó X-API-Key + leagan antraipeach.
YOUR_API_KEY
Faigh D'Eochair API

Coinnigh d'eochair API faoi rún. Cruthaíonn athghiniúint eochair nua agus neamhbhailítear an seancheann.

Leagan: 1
Rothlaigh seo caite: Riamh
An uair dheireanach a úsáideadh: Riamh

Do Úsáid

Féach ar thomhaltas chomhartha agus cuardaigh ar an leathanach seo agus tú sínithe isteach ar do chuntas.

-- Glaonna API
-- Comharthaí Úsáidte

Códóir na Sionainne (shannon-coder-1)

Cuóta bunaithe ar ghlaonna do Shannon Coder (shannon-coder-1). Athshocraigh gach 4 uair an chloig.

0 Glaonna Úsáidte
0 Glaonna fágtha

Réidh le Tógáil?

Faigh d'eochair API agus cuir tús le tógáil le Shannon AI inniu.

Faigh D'Eochair API Praghsáil Amharc

Cuardach coitianta:

Bain triail as eochairfhocail éagsúla
Déan nascleanúint: ↑ ↓ Roghnaigh: Enter Dún: Esc